Subject: bug#23557: closed (Re: bug#23557: "corrupt input while restoring archive from socket" after interrupted package install)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 May 2016 19:45:02 +0000

Your bug report

#23557: "corrupt input while restoring archive from socket" after interrupted package install

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23557: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23557
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23557: "corrupt input while restoring archive from socket" after interrupted package install
From: [email-masked] (Ludovic Courtès)
To: Harry Prevor <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 May 2016 21:44:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Harry Prevor <[email-masked]> skribis:

> On 2016-05-16 17:10, [email-masked] wrote:
>>> I tried to install emacs on guix recently, and I actually got a kernel
>>> panic in the middle of installing so I had to do a hard reboot.
>>
>> Are you installing GuixSD, or are you installing Guix on another
>> distro?
>
> I'm trying to install emacs on GuixSD, which is running on a Thinkpad
> X200.

[...]

>> Can you try:
>>
>>   guix build emacs --substitute-urls=http://mirror.hydra.gnu.org
>
> It seems to have succeeded:
>
> @ build-succeeded
> /gnu/store/p5bhpqf6zj1kg55p4gyndrppswbskh8k-emacs-24.5.drv -
> /gnu/store/35nvlacqcl3wv5al5lj3077h0hx4bn2q-emacs-24.5
>
> After doing this, I tried doing "guix package -i emacs" again, and it
> installed successfully! Thank you for your help; unfortunately I don't
> know exactly what fixed this but I'd be happy to continue debugging if
> it's of use to someone.

Frustrating, but a good outcome.  ;-)

It could be that the thing was using http://hydra.gnu.org, and that this
server was overloaded and dropped the connection, or something.

In 0.10.0 we switched the default substitute server to
https://mirror.hydra.gnu.org, a mirror that is much faster than
hydra.gnu.org.

If you reconfigure GuixSD from a recent Guix, GuixSD’s guix-daemon
service will use mirror.hydra.gnu.org.

Thanks,
Ludo’.

Subject: "corrupt input while restoring archive from socket" after interrupted package install
From: Harry Prevor <[email-masked]>
To: [email-masked]
Date: Mon, 16 May 2016 15:09:43 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I tried to install emacs on guix recently, and I actually got a kernel 
panic in the middle of installing so I had to do a hard reboot. Since 
then, every time I tried to do guix package -i emacs I got this error:

> substitute: Backtrace:
> substitute: In ice-9/boot-9.scm:
> substitute:  157: 9 [catch #t #<catch-closure e00500> ...]
> substitute: In unknown file:
> substitute:    ?: 8 [apply-smob/1 #<catch-closure e00500>]
> substitute: In ice-9/boot-9.scm:
> substitute:   63: 7 [call-with-prompt prompt0 ...]
> substitute: In ice-9/eval.scm:
> substitute:  432: 6 [eval # #]
> substitute: In ice-9/boot-9.scm:
> substitute: 2401: 5 [save-module-excursion #<procedure e1f940 at 
> ice-9/boot-9.scm:4045:3 ()>]
> substitute: 4050: 4 [#<procedure e1f940 at ice-9/boot-9.scm:4045:3 ()>]
> substitute: 1724: 3 [%start-stack load-stack #<procedure e32900 at 
> ice-9/boot-9.scm:4041:10 ()>]
> substitute: 1729: 2 [#<procedure e37ea0 ()>]
> substitute: In unknown file:
> substitute:    ?: 1 [primitive-load 
> "/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin/.guix-real"]
> substitute: In guix/ui.scm:
> substitute: 1188: 0 [run-guix-command substitute "--query"]
> substitute:
> substitute: guix/ui.scm:1188:6: In procedure run-guix-command:
> substitute: guix/ui.scm:1188:6: Throw to key `match-error' with args 
> `("match" "no matching pattern" #<eof>)'.
> guix package: error: corrupt input while restoring archive from socket

I run guix pull with regularity, so I should have the latest software. 
Also, "guix gc --verify" yeilds no errors. "lfam" on IRC recommended 
that I try finding all /gnu/store/*-emacs-* and running "guix gc -d" on 
those files, but I tried that and even that didn't work. Can anyone 
provide any suggestions / solutions to debug this?

Also, I am not subscribed to this list, so please CC me in any responses 
to this message.

Thank you,

-- 
Harry Prevor